summaryrefslogtreecommitdiffstats
path: root/development/codeblocks
diff options
context:
space:
mode:
author Jeanne-Kamikaze <jeannekamikaze@gmail.com>2010-05-11 22:53:29 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-11 22:53:29 +0200
commitc4bb54ca8edb9df69a92fc936a454edb32c390d8 (patch)
tree3b9e51970427e21c1d382ec76811931201aad57f /development/codeblocks
parenta1579f660ef80883745827ec5e3954175e30d8eb (diff)
downloadslackbuilds-c4bb54ca8edb9df69a92fc936a454edb32c390d8.tar.gz
slackbuilds-c4bb54ca8edb9df69a92fc936a454edb32c390d8.tar.xz
development/codeblocks: Added to 12.1 repository
Diffstat (limited to 'development/codeblocks')
-rw-r--r--development/codeblocks/README7
-rw-r--r--development/codeblocks/codeblocks.SlackBuild66
-rw-r--r--development/codeblocks/codeblocks.info8
-rw-r--r--development/codeblocks/slack-desc19
4 files changed, 100 insertions, 0 deletions
diff --git a/development/codeblocks/README b/development/codeblocks/README
new file mode 100644
index 0000000000..9efb46beb5
--- /dev/null
+++ b/development/codeblocks/README
@@ -0,0 +1,7 @@
+Code::Blocks is a free C++ IDE built to meet the most demanding needs of its
+users. It is designed to be very extensible and fully configurable.
+
+Built around a plugin framework, Code::Blocks can be extended with plugins.
+Any kind of functionality can be added by installing/coding a plugin.
+
+Requires libmspack, wxGTK or wxPython, available at SlackBuilds.org
diff --git a/development/codeblocks/codeblocks.SlackBuild b/development/codeblocks/codeblocks.SlackBuild
new file mode 100644
index 0000000000..e1bf469e08
--- /dev/null
+++ b/development/codeblocks/codeblocks.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Slackware build script for Code::Blocks
+# Written by Jeanne-Kamikaze (AKA SlackerJeanne) (jeannekamikaze@gmail.com)
+# Modified by Erik Hanson <erik@slackbuilds.org>
+
+# The software belongs and is copyrighted by the Code::Blocks team.
+# The proper license can be found along with the software source code.
+
+set -eu
+
+PRGNAM=codeblocks
+VERSION=8.02
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOC="AUTHORS BUGS BUILD COMPILERS COPYING NEWS README TODO"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+rm -rf $TMP/$PRGNAM-$VERSION
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION-src.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var/lib \
+ --mandir=/usr/man \
+ --disable-static \
+ --with-contrib-plugins=all \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+gzip -9 $PKG/usr/man/man?/*.?
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOC $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/codeblocks/codeblocks.info b/development/codeblocks/codeblocks.info
new file mode 100644
index 0000000000..c6a9584dba
--- /dev/null
+++ b/development/codeblocks/codeblocks.info
@@ -0,0 +1,8 @@
+PRGNAM="codeblocks"
+VERSION="8.02"
+HOMEPAGE="http://www.codeblocks.org"
+DOWNLOAD="http://downloads.sourceforge.net/codeblocks/codeblocks-8.02-src.tar.bz2"
+MD5SUM="ac15b4b3de50d7650c2f7a8dbcb30f88"
+MAINTAINER="Jeanne-Kamikaze"
+EMAIL="jeannekamikaze@gmail.com"
+APPROVED="Erik Hanson"
diff --git a/development/codeblocks/slack-desc b/development/codeblocks/slack-desc
new file mode 100644
index 0000000000..d5b19a27b3
--- /dev/null
+++ b/development/codeblocks/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+codeblocks: Code::Blocks (a free C++ IDE)
+codeblocks:
+codeblocks: Code::Blocks is a free C++ IDE built to meet the most demanding
+codeblocks: needs of its users. It is designed to be very extensible and fully
+codeblocks: configurable.
+codeblocks:
+codeblocks:
+codeblocks:
+codeblocks:
+codeblocks: http://www.codeblocks.org/
+codeblocks: